Bug 89815 - maintainer update: devel/sfslite
Summary: maintainer update: devel/sfslite
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tim Bishop
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-01 20:50 UTC by ports
Modified: 2005-12-03 11:14 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (842 bytes, patch)
2005-12-01 20:50 UTC, ports
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ports 2005-12-01 20:50:02 UTC
port updrade for devel/sfslite to version 0.8.3

How-To-Repeat: patch included
Comment 1 Tim Bishop freebsd_committer 2005-12-01 20:54:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tdb

Grab.
Comment 2 Tim Bishop freebsd_committer 2005-12-02 15:27:39 UTC
State Changed
From-To: open->feedback

Your patch had some files missing in the pkg-plist, and some in 
there that shouldn't have been. I propose the following patch which 
fixes those problems. I also modifed your method of setting 
SHORTVERSION so it doesn't require external tools. Please approve 
or supply your own patch. 

Thanks, 
Tim. 


Index: ports/devel/sfslite/Makefile 
=================================================================== 
RCS file: /u2/freebsd/cvs/ports/devel/sfslite/Makefile,v 
retrieving revision 1.1 
diff -u -r1.1 Makefile 
--- ports/devel/sfslite/Makefile	17 Sep 2005 11:04:52 -0000	1.1 
+++ ports/devel/sfslite/Makefile	2 Dec 2005 14:49:08 -0000 
@@ -6,7 +6,7 @@ 
# 

PORTNAME=	sfslite 
-PORTVERSION=	0.8.1 
+PORTVERSION=	0.8.3 
CATEGORIES=	devel 
MASTER_SITES=	http://dist.okws.org/dist/ 

@@ -35,7 +35,7 @@ 
# 
# Map X.Y.Z.Q => X.Y 
# 
-SHORTVERSION!=	${ECHO} ${PORTVERSION} | sed -Ee 's/([^.]+.[^.]+).*/1/' 
+SHORTVERSION=	${PORTVERSION:C/^([^.]+.[^.]+).*$/1/} 

# 
# if being called from one of the slave distributions (like 
Index: ports/devel/sfslite/distinfo 
=================================================================== 
RCS file: /u2/freebsd/cvs/ports/devel/sfslite/distinfo,v 
retrieving revision 1.1 
diff -u -r1.1 distinfo 
--- ports/devel/sfslite/distinfo	17 Sep 2005 11:04:52 -0000	1.1 
+++ ports/devel/sfslite/distinfo	2 Dec 2005 14:47:18 -0000 
@@ -1,2 +1,3 @@ 
-MD5 (sfslite-0.8.1.tar.gz) = 4d2a029871b8a8e926d29895d48e0634 
-SIZE (sfslite-0.8.1.tar.gz) = 688887 
+MD5 (sfslite-0.8.3.tar.gz) = 613deedae4c7066f9801c63cdcc52ada 
+SHA256 (sfslite-0.8.3.tar.gz) = d3fdbe150f125079d144db9c01650105dd52a4fcd8f557ccbcdc98893c6cf3be 
+SIZE (sfslite-0.8.3.tar.gz) = 746283 
Index: ports/devel/sfslite/pkg-plist 
=================================================================== 
RCS file: /u2/freebsd/cvs/ports/devel/sfslite/pkg-plist,v 
retrieving revision 1.1 
diff -u -r1.1 pkg-plist 
--- ports/devel/sfslite/pkg-plist	17 Sep 2005 11:04:52 -0000	1.1 
+++ ports/devel/sfslite/pkg-plist	2 Dec 2005 14:50:41 -0000 
@@ -1,4 +1,5 @@ 
%%RPCC_BIN%%/rpcc 
+%%RPCC_BIN%%/unwrap 
include/sfslite 
include/sfslite-%%VERSION%%/%%TAG%%/aclnt.h 
include/sfslite-%%VERSION%%/%%TAG%%/aes.h 
@@ -51,11 +52,14 @@ 
include/sfslite-%%VERSION%%/%%TAG%%/nfstrans.h 
include/sfslite-%%VERSION%%/%%TAG%%/ocb.h 
include/sfslite-%%VERSION%%/%%TAG%%/opnew.h 
+include/sfslite-%%VERSION%%/%%TAG%%/paillier.h 
include/sfslite-%%VERSION%%/%%TAG%%/parseopt.h 
include/sfslite-%%VERSION%%/%%TAG%%/password.h 
include/sfslite-%%VERSION%%/%%TAG%%/pcre.h 
+include/sfslite-%%VERSION%%/%%TAG%%/pm.h 
include/sfslite-%%VERSION%%/%%TAG%%/pmap_prot.h 
include/sfslite-%%VERSION%%/%%TAG%%/pmap_prot.x 
+include/sfslite-%%VERSION%%/%%TAG%%/poly.h 
include/sfslite-%%VERSION%%/%%TAG%%/prime.h 
include/sfslite-%%VERSION%%/%%TAG%%/prng.h 
include/sfslite-%%VERSION%%/%%TAG%%/qhash.h 
@@ -80,12 +84,15 @@ 
include/sfslite-%%VERSION%%/%%TAG%%/sfsserv.h 
include/sfslite-%%VERSION%%/%%TAG%%/sfstty.h 
include/sfslite-%%VERSION%%/%%TAG%%/sha1.h 
+include/sfslite-%%VERSION%%/%%TAG%%/srp.h 
include/sfslite-%%VERSION%%/%%TAG%%/stllike.h 
include/sfslite-%%VERSION%%/%%TAG%%/str.h 
include/sfslite-%%VERSION%%/%%TAG%%/suio++.h 
include/sfslite-%%VERSION%%/%%TAG%%/sysconf.h 
include/sfslite-%%VERSION%%/%%TAG%%/tiger.h 
+include/sfslite-%%VERSION%%/%%TAG%%/umac.h 
include/sfslite-%%VERSION%%/%%TAG%%/union.h 
+include/sfslite-%%VERSION%%/%%TAG%%/unwrap.h 
include/sfslite-%%VERSION%%/%%TAG%%/uvfstrans.h 
include/sfslite-%%VERSION%%/%%TAG%%/vatmpl.h 
include/sfslite-%%VERSION%%/%%TAG%%/vec.h 
@@ -114,8 +121,6 @@ 
lib/sfslite-%%VERSION%%/%%TAG%%/libsfsmisc.so.0 
lib/sfslite-%%VERSION%%/%%TAG%%/mallock.o 
lib/sfslite-%%VERSION%%/%%TAG%%/mmcd 
-share/nls/POSIX 
-share/nls/en_US.US-ASCII 
@dirrm lib/sfslite-%%VERSION%%/%%TAG%% 
@unexec rmdir %D/lib/sfslite-%%VERSION%% 2>/dev/null || true 
@dirrm include/sfslite-%%VERSION%%/%%TAG%%
Comment 3 Tim Bishop freebsd_committer 2005-12-03 11:13:49 UTC
State Changed
From-To: feedback->closed

Committed with (approved) modifications. Thanks!